Bug 99341 - Simplify Document Recovery dialog by removing unnecessary header widget
Summary: Simplify Document Recovery dialog by removing unnecessary header widget
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium minor
Assignee: Muhammet Kara
QA Contact:
URL:
Whiteboard: target:5.3.0
Keywords: difficultyBeginner, easyHack, skillUI, topicUI
Depends on:
Blocks:
 
Reported: 2016-04-16 07:07 UTC by Adolfo Jayme
Modified: 2017-02-14 08:58 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Annotated screenshot (45.98 KB, image/png)
2016-04-16 07:07 UTC, Adolfo Jayme
Details
default recovery dialog (34.63 KB, image/png)
2016-04-16 14:21 UTC, Yousuf Philips (jay)
Details
Document recovery in progress (42.59 KB, image/png)
2016-06-24 09:07 UTC, Muhammet Kara
Details
Document Recovery Dialog [New] (37.89 KB, image/png)
2016-07-25 10:43 UTC, Muhammet Kara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adolfo Jayme 2016-04-16 07:07:41 UTC
Created attachment 124380 [details]
Annotated screenshot

The Document Recovery dialog used to feature a bitmap banner (remember the Windows 95 days? Remember the “Wizard97” design?) with the text “%PRODUCTNAME Document Recovery” on it, in boldface.

The bitmap was eventually removed, and for a long time it remained as an empty white strip and the title.

Nowadays, not even the white background is rendered — just the text appears.

Since this is a redundant widget [1], let’s just get rid of this old widget.

Code pointers:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=1413d6bc9902a536c0c67f42d2cb16ea45174fe4
http://opengrok.libreoffice.org/xref/core/svx/uiconfig/ui/docrecoveryrecoverdialog.ui#244
https://cgit.freedesktop.org/libreoffice/core/tree/svx/source/dialog/docrecovery.cxx#n634

[1]: The title bar of the dialog is where this text should be; that’s the point of having a title bar in windows!
Comment 1 Adolfo Jayme 2016-04-16 07:09:57 UTC
Oh, http://opengrok.libreoffice.org/xref/core/svx/uiconfig/ui/docrecoverysavedialog.ui is also relevant.
Comment 2 Heiko Tietze 2016-04-16 07:29:58 UTC
Can we make it a friendly dialog similar to what I suggested in tdf#99341?
I mean a big icon/image left (e.g. smiling bug), informative static text at top-left with the scroll area of recoverable documents below.

https://bug-attachments.documentfoundation.org/attachment.cgi?id=122077
Comment 3 Adolfo Jayme 2016-04-16 10:24:29 UTC
Heiko, thanks for pointing that out! I think that is something best handled in a separate bug report, though (so that we can iron out the details there) =)
Comment 4 Yousuf Philips (jay) 2016-04-16 14:21:44 UTC
Created attachment 124400 [details]
default recovery dialog

Totally agree that it should be removed. Also think we should expand this bug report to remove some additional unnecessary features found in the default recovery dialog that isnt present in the crash recover dialog, like the "The 'Status' column shows whether the document can be recoverd", and the large area taken up by the "Recovery document:" label.

Below are screenshots of the various stages of the non-crash recovery dialog.

http://www.picpaste.com/Recover_01-309DbSEA.png (same as attached file)

http://www.picpaste.com/Recover_02-LSG5TwNo.png

http://www.picpaste.com/Recover_03-JwRZ1yRc.png
Comment 5 Muhammet Kara 2016-06-23 14:35:12 UTC
(In reply to Yousuf (Jay) Philips from comment #4)
> Created attachment 124400 [details]
> default recovery dialog
> 
> Totally agree that it should be removed. Also think we should expand this
> bug report to remove some additional unnecessary features found in the
> default recovery dialog that isnt present in the crash recover dialog, like
> the "The 'Status' column shows whether the document can be recoverd", and
> the large area taken up by the "Recovery document:" label.
> 
> Below are screenshots of the various stages of the non-crash recovery dialog.
> 
> http://www.picpaste.com/Recover_01-309DbSEA.png (same as attached file)
> 
> http://www.picpaste.com/Recover_02-LSG5TwNo.png
> 
> http://www.picpaste.com/Recover_03-JwRZ1yRc.png

Image links are not working but I have made some changes based on the description.

Still I have no idea what the area taken up by "Recovery document:" label is for. It was always empty during recovery. Or does it seem so because the document was recovered quickly?

Please see https://gerrit.libreoffice.org/26607
Comment 6 Heiko Tietze 2016-06-23 23:29:54 UTC
(In reply to Muhammet Kara from comment #5)
> Still I have no idea what the area taken up by "Recovery document:" label is
> for. It was always empty during recovery. Or does it seem so because the
> document was recovered quickly?
> 
> Please see https://gerrit.libreoffice.org/26607

Much better, though I have no idea how Delete/Delete All works (maybe that's an outcome of missing object type). "Start Recovery >" indicates a wizard with the greater than char, and "Discard Recovery Data" sounds complicated. The need for explanation above is a sign of bad usability. How about just "Start" and "Discard"? Recovering Document is just the label for the progress bar below, or do you mean something else?
So how about having a list of recoverable documents with checkboxes to selectively _start_ recovering. And the progress bar goes below that list. I wonder if there is need for the progress. Does it really take more than 5 seconds, which is a threshold where feedback becomes necessary. If not the success could be shown by green checkmark icons instead of the checkboxes in the list.
Comment 7 Muhammet Kara 2016-06-24 09:07:18 UTC
Created attachment 125877 [details]
Document recovery in progress

(In reply to Heiko Tietze from comment #6)
> (In reply to Muhammet Kara from comment #5)
> > ...
> 
> Much better, though I have no idea how Delete/Delete All works (maybe that's
> an outcome of missing object type). "Start Recovery >" indicates a wizard
> with the greater than char, and "Discard Recovery Data" sounds complicated.
> The need for explanation above is a sign of bad usability. How about just
> "Start" and "Discard"?

As the purpose of the buttons are already explained above, "Start" and "Discard" looks fine to me.

> Recovering Document is just the label for the
> progress bar below, or do you mean something else?

That's exactly what I mean, but I asked the question because I didn't see any progress bar near that label. Just a large empty space.

I have tried with several documents, taking maybe about 5 seconds. But yet no progress bar.

Maybe we should remove that label completely since the progress of each document is already shown on the list box below. (Please see the attached screenshot.)

> So how about having a list of recoverable documents with checkboxes to
> selectively _start_ recovering. And the progress bar goes below that list. I
> wonder if there is need for the progress. Does it really take more than 5
> seconds, which is a threshold where feedback becomes necessary. If not the
> success could be shown by green checkmark icons instead of the checkboxes in
> the list.

I don't know if the selective recovery is still an easyhack, but it may at least belong to a separate bug report.

Please see the attached screenshot, and tell me what you think.
Comment 8 Heiko Tietze 2016-06-24 10:54:59 UTC
Looks good, definitely an improvement. When removing the label you should also kill the progress bar. Just to avoid that it pos up somehow. But first ask one a dev (irc: #libreoffice-dev) what's going on with this object.
Comment 9 Commit Notification 2016-06-27 13:19:55 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=232dcd258dc03c318e197fe4bfb0080353423760

Simplify Document Recovery dialog tdf#99341

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 jani 2016-06-28 06:22:23 UTC
Seems solved
Comment 11 Yousuf Philips (jay) 2016-07-01 13:35:11 UTC
Not completely solved as the large area taken up by the "Recovery document:" label is still present.

http://picpaste.com/document_recovery_01-rpgf4jVA.png

Might be also useful to remove the instructions labels explaining what to do when you press the 'Start', 'Discard', and 'Finish' buttons, as they are quite self explanatory. @Adolfo, @Heiko: What you guys think?
Comment 12 Heiko Tietze 2016-07-01 13:57:38 UTC
(In reply to Yousuf (Jay) Philips from comment #11)
>@Adolfo, @Heiko: What you guys think?

The label looks like the caption from the progress bar. About the static text: Yes, but a short explanation would be nice. Something like 'We are deeply sorry but last time LibO crashed. We will try to restore the files. Please start this procedure per click on recover or cancel per discard'. Without any text the user is being confronted with a dialog out of the blue.
Comment 13 jani 2016-07-04 06:23:32 UTC
Assign
Comment 14 Muhammet Kara 2016-07-25 10:43:59 UTC
Created attachment 126396 [details]
Document Recovery Dialog [New]
Comment 15 Muhammet Kara 2016-07-25 10:59:32 UTC
Could you please see the attached screenshot (Document Recovery Dialog [New]), and the patch on gerrit,[0] and tell me what you think?


[0] https://gerrit.libreoffice.org/27511
Comment 16 Heiko Tietze 2016-07-25 12:03:39 UTC
"Please start by clicking on recover..." but the button is labeled Start. And I would expect the default at the right position (while this depends on the OS/DE).
'Not yet recovered' or in whatever state the item is, has an indentation (guess there was an icon). But there is no hierarchy so it should rather be left-aligned.
The dialog itself is quite large for two simple columns, better make it a little bit smaller.
Comment 17 Yousuf Philips (jay) 2016-07-25 17:41:27 UTC
(In reply to Muhammet Kara from comment #14)
> Created attachment 126396 [details]
> Document Recovery Dialog [New]

Dialog looks smaller which is great, but the wording needs improvement. So the dialog says:

We are deeply sorry but last time LibreOffice crashed. We will try to restore the files. Please start this procedure per click on 'recover', or cancel per 'discard'.

And likely it should be changed to

We are deeply sorry but LibreOffice crashed the last time it ran. We will attempt to recover the files that were being modified before the crash. To begin the recovery process, press the 'Start' button or press the 'Discard' button to cancel the recovery.

@Adolfo: your English magic is appreciated. :D
Comment 18 Muhammet Kara 2016-07-26 07:42:57 UTC
Could you please check the new screenshots[0][1][2] and the updated patch?[3]

- Removed the large width-request code causing the dialog to be too wide.
- Updated the explanation text.
- Didn't touch the space (or 'indentation') to the left of the status strings, because it is placeholder for the success/fail images (see the screenshots).

[0] http://picpaste.com/beforeRecovery.png
[1] http://picpaste.com/duringRecovery.png
[2] http://picpaste.com/afterRecovery.png
[3] https://gerrit.libreoffice.org/#/c/27511/
Comment 19 Adolfo Jayme 2016-07-26 08:56:06 UTC
Reviewed the Gerrit patch (great work!), I’d make the message even more concise given that the user of a Breakpad-enabled build will see a dialog prior to this one, so in many cases this one won’t be there out of the blue; also, I don’t like too much apologizing in UI texts. With that I consider this bug fixed 👌
Comment 20 Yousuf Philips (jay) 2016-07-26 09:44:33 UTC
(In reply to Muhammet Kara from comment #18)
> [0] http://picpaste.com/beforeRecovery.png

Slightly modified version of what Adolfo mentioned in gerrit: %PRODUCTNAME will attempt to recover the state of the documents you were working on before it crashed. Click “Start” to begin the process.

> [1] http://picpaste.com/duringRecovery.png

I'd suggest changing this to: %PRODUCTNAME has begun recovering your documents. Depending on the size of the documents, this process can take some time.

> [2] http://picpaste.com/afterRecovery.png

Text is fine, but can we remove the line break between these two short sentences.
Comment 21 Commit Notification 2016-07-31 20:18:25 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3a7aa4cb86a62249ff2193238b94cfa3a60dffff

Remove unnecessary label tdf#99341

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 jani 2016-08-01 05:22:14 UTC
Closing issue